TemplateResource
RESTful endpoint for managing a Template.
The following resources are applicable:
/controller/templates
Mount Point: /rest/controller/templates
The following operations are supported on this resource:
GET
Retrieves all the of templates in this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | templatesEntity |
| media types: | application/xml application/json |
A templatesEntity.
POST
Creates a new template based off of the specified template.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| name | The name of the template. | form | |
| description | The description of the template. | form | |
| snippetId | The id of the snippet this template is based on. | form |
Response Body
| element: | templateEntity |
| media types: | application/xml application/json |
A templateEntity
POST
Imports the specified template.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | formdata | |
| in | The template stream | formdata |
Response Body
| element: | templateEntity |
| media types: | application/xml |
A templateEntity or an errorResponse XML snippet.
POST
Imports the specified template.
Request Body
| element: | templateEntity |
| media types: | application/xml application/json |
A templateEntity.
Response Body
| element: | templateEntity |
| media types: | application/xml |
A templateEntity.
/controller/templates/{id}
Mount Point: /rest/controller/templates/{id}
GET
Retrieves the specified template.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the template to retrieve | path |
Response Body
| element: | template |
| media types: | application/xml |
A templateEntity.
DELETE
Removes the specified template.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the template to remove. | path |
Response Body
| element: | templateEntity |
| media types: | application/xml application/json |
A templateEntity.